﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadWindow : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
		AddRotatorToPage();
    }

	protected void AddRotatorToPage()
	{
		form1.Controls.Add(CreateRotator());
	}

	protected RadRotator CreateRotator()
	{
		var radRotator = new RadRotator();
		radRotator.ID = "theRotator";
		radRotator.CssClass = "RSSFountainClass";
		radRotator.RotatorType = RotatorType.AutomaticAdvance;
		radRotator.ScrollDirection = RotatorScrollDirection.Up;
		radRotator.ScrollDuration = 2000;
		radRotator.FrameDuration = 2000;
		radRotator.ItemTemplate = new RotatorItemTemplate();
		radRotator.Width = radRotator.ItemWidth = new Unit(82, UnitType.Pixel);
		radRotator.Height = radRotator.ItemHeight = new Unit(60, UnitType.Pixel);
		radRotator.DataSource = new [] { "thumb1.gif", "thumb2.gif", "thumb3.gif" };
		radRotator.InitialItemIndex = -1;
		radRotator.DataBind();

		return radRotator;
	}

	private class RotatorItemTemplate : ITemplate
	{
		public void InstantiateIn(Control container)
		{
			var image = new Image();
			image.ImageUrl = @"~/content/rotator/{0}";
			image.DataBinding += new EventHandler(OnDataBinding);
			container.Controls.Add(image);
		}

		private void OnDataBinding(object sender, EventArgs e)
		{
			var image = (Image)sender;
			var rotatorItem = (RadRotatorItem)image.NamingContainer;
			var data = rotatorItem.DataItem;
			image.ImageUrl = String.Format(image.ImageUrl, data);
		}
	}

}